### Struct

# Gio IOExtension

#### Description

    struct GIOExtension {
      /* No available fields */
    }

`GIOExtension` is an opaque data structure and can only be accessed using the following functions.

#### Instance methods

###### g_io_extension_get_name

Gets the name under which `extension` was registered.

###### g_io_extension_get_priority

Gets the priority with which `extension` was registered.

###### g_io_extension_get_type

Gets the type associated with `extension`.

###### g_io_extension_ref_class

Gets a reference to the class for the type that is associated with `extension`.